---
# vim:tw=100:ft=markdown
author: <white><small>Sander Apweiler, Marcus Hardt, Uwe Jandt, Andreas Klotz</small></white>
title: <white><br/><br/><small> Helmholtz-AAI </small></white>
date: <white>October 2021</white>
theme: marcus
parallaxBackgroundImage: images/helmholtz-bg-slide.png
title-slide-attributes:
    data-background-image: images/helmholtz-bg-head.png
---
## Presentation Metadata:
- Tag 1, 26. Oktober 2021
- 11:15-12:15 Uhr
- Agenda hier: [https://www.dfn.de/veranstaltungen/betriebstagungen/infos](https://www.dfn.de/veranstaltungen/betriebstagungen/infos) (bald)
- test2333xxx


## Helmholtz AAI: Goals
- Seamless access to cloud services 
    - Helmholtz: Services for users at Helmholtz Centres and Partners
    - Very general approach => Don't be limited by specific organisational structure
- Compatible with the European Open Science Cloud (EOSC)
- Users can access **many** federated services
- With their **one account** of their home Organisation
- Support services beyond the browser
    - Delegation (Computing Jobs)
    - REST APIs
    - Shell access

# Helmholtz-AAI Key Features

## Basics
- EOSC compatible
    - AARC Blueprint Architectures (BPA)
    - AARC Policy Development Kit (PDK)
- Users supported via
    - DFN-AAI / eduGAIN
    - Social: ORCID + Github + Google
    - Homeless Users: Can easily be supported
- Works in Production today
    - Ready to include more services 
    - Ready to include more Communities
        - E.g. NFDIs

## Authorisation
- Support for multiple means of authorisation (**central** and **de central**)
    - Group Membership (aka "Virtual Organisations")
        - => Managed by Scientists themselves
    - Entitlements from Home-Organisation
        - => Managed by Administration
    - Levels of Assurance: [REFEDS Assurance Framework](https://refeds.org/assurance)
        - Passport seen, Work-Contract available
        - Uniqueness of the identifier
        - Freshness of attributes
    - Membership in Home-Organisation

## {data-background-image="images/h-aai-konrad.png" data-background-size="fill"}

# Services

## Service Integration
- Multi Protocol:
    - Identities: SAML, OpenID Connect, X.509
    - Services: OpenID Connect, SAML
- Examples for integrated services
  - Gitlab
  - RocketChat
  - Storage and Compute Services
  <!--- Full list: [https://aai.helmholtz.de/services](https://aai.helmholtz.de/services)-->
  - Full list: [https://login.helmholtz.de/unitygw/VAADIN/files/connected-services.html](https://login.helmholtz.de/unitygw/VAADIN/files/connected-services.html)
- Helmholtz Federated IT services (HIFIS, [https://www.hifis.net](https://www.hifis.net)) 
  - Drives development, documentation and service integration
- Free of charge

## Current status 
- Pilot Services: [https://hifis.net/doc/service-integration/pilot-services/pilot-services](https://hifis.net/doc/service-integration/pilot-services/pilot-services)
- Supported Virtual Organisations: [https://hifis.net/doc/backbone-aai/list-of-vos](https://hifis.net/doc/backbone-aai/list-of-vos)
- Connected Helmholtz Centres: [https://hifis.net/doc/backbone-aai/list-of-connected-centers](https://hifis.net/doc/backbone-aai/list-of-connected-centers)
- Documentation: [https://hifis.net/doc/backbone-aai/](https://hifis.net/doc/backbone-aai/)
    - Policies
    - Attributes
    - Levels of Assurance
    - ...


# Usage Figures {data-background-image="images/hdf-aai-over-time.png" data-background-size="contain" data-transition="zoom"}
## {data-background-image="images/hdf-aai-over-time.png" data-background-size="contain"}

## More information

[https://aai.helmholtz.de](https://aai.helmholtz.de)

